Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 359123 - app-office/gnucash-2.4.4 fails installation when running in parallel
Summary: app-office/gnucash-2.4.4 fails installation when running in parallel
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Aaron W. Swenson
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: parallel-make
  Show dependency tree
 
Reported: 2011-03-16 08:16 UTC by water
Modified: 2020-11-15 18:13 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (log.zip,61.47 KB, application/octet-stream)
2011-03-16 08:18 UTC, water
Details

Note You need to log in before you can comment on or make changes to this bug.
Description water 2011-03-16 08:16:09 UTC
I tried to use '-j1' or emerge -C and emerge again . All failed.

How to do with it ? thanks

#     emerge --info =app-office/gnucash-2.4.4
Portage 2.1.9.42 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.4, glibc-2.13-r2, 2.6.36-gentoo-r7 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-gentoo-r7-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9600_@_2.80GHz-with-gentoo-1.12.14
Timestamp of tree: Wed, 16 Mar 2011 07:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.2_p8
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r2, 3.1.3-r1
dev-util/ccache:     2.4-r9
dev-util/cmake:      2.8.4
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core2 -pipe"
DISTDIR="/usr/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://mirrors.xmu.edu.cn/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en zh zh_CN zh_TW en_US"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/science /usr/portage/local/layman/sunrise /usr/portage/local/layman/gentoo-china /usr/portage/local/layman/enlightenment /usr/portage/local/layman/devnull /usr/portage/local/myebuild /usr/portage"
SYNC="rsync://mirrors.xmu.edu.cn/gentoo-portage"
USE="X a52 aac aalib acl acpi aim alsa amd64 asf avahi bash-completion berkdb bitmap-fonts blas bluetooth branding bzip2 cairo cdparanoia cdr chm cjk cleartype cli consolekit corefonts cracklib crypt cups cxx dbus divx4linux dri dts dv dvd dvdr dvdread eds emacs emboss encode evo examples exif fam ffmpeg firefox flac foomaticdb fortran gd gdbm gdu gif gnome gnome-keyring gphoto2 gpm gstreamer gtk hal hdaps iconv ieee1394 java jpeg lame laptop lcms ldap libnotify lm_sensors mad midi mikmod mjpeg mmx mng modules mp3 mp4 mpeg msn mudflap multilib nautilus ncurses networkmanager nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl pic png policykit ppds pppd python qq qt3support quicktime rar readline sdl session spell sse sse2 sse3 ssl startup-notification svg sysfs tcpd threads tiff truetype type1 udev unicode usb vorbis wifi x264 xcb xft xine xinerama xml xorg xscreensaver xulrunner xv xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en zh zh_CN zh_TW en_US" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon vesa intel fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 water 2011-03-16 08:18:49 UTC
Created attachment 266081 [details]
build.log
Comment 2 Pacho Ramos gentoo-dev 2011-03-16 09:39:49 UTC
>>> Install gnucash-2.4.4 into /var/tmp/portage/app-office/gnucash-2.4.4/image/ category app-office
make -j4 DESTDIR=/var/tmp/portage/app-office/gnucash-2.4.4/image/ 'scrollkeeper_localstate_dir=/var/tmp/portage/app-office/gnucash-2.4.4/image//var/lib/scrollkeeper ' GNC_DOC_INSTALL_DIR=/usr/share/doc/gnucash-2.4.4 install 

Attached log shows a parallel problem (that log was obtained with MAKEOPTS="-j4"
Comment 3 Pacho Ramos gentoo-dev 2011-03-16 09:41:14 UTC
+  16 Mar 2011; Pacho Ramos <pacho@gentoo.org> gnucash-2.4.4.ebuild:
+  Parallel installation fails from time to time, bug #359123 by water.
+
Comment 4 water 2011-03-17 07:24:35 UTC
I use -j1 , now it is ok . 
Thanks
Comment 5 Gilles Dartiguelongue gentoo-dev 2011-03-17 09:30:34 UTC
Please do not close such bug otherwise they will never get properly resolved.
Comment 6 Pacho Ramos gentoo-dev 2011-04-14 07:46:21 UTC
This is a libtool bug as confirmed in upstream mailing list:
https://bugzilla.gnome.org/show_bug.cgi?id=644896#c3


-> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7328
Comment 7 Nick Hadaway 2017-01-02 23:55:33 UTC
If you don't specify a MAKEOPTS variable in make.conf the build will fail 

in addition to the known issue with specifying -j2 or higher.
Comment 8 Aaron W. Swenson gentoo-dev 2020-11-15 18:13:09 UTC
Well, I guess it's up to me now.

GnuCash doesn't use make. It uses CMake.